Bug 144520 - 2.6 scsi ioctl integer overflow and information leak
2.6 scsi ioctl integer overflow and information leak
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
public=20060107,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 16:50 EST by Josh Bressers
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-07 17:00:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-07 16:50:42 EST
*** This bug has been split off bug 144519 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.07
16:47 -------

grsecurity announcement to full-disclosure
http://lists.netsys.com/pipermail/full-disclosure/2005-January/030660.html

It would seem that user input controlls the integers being overflowed.  It looks
like a malicious user should be able to alter kernel memory.

The fix for this issue is in attachment 109500 [details]
Comment 1 Josh Bressers 2005-01-07 17:00:54 EST
This issue does not affect the 2.4 kernel.  I copied the wrong text when I filed
this.  I'm just closing it.

Note You need to log in before you can comment on or make changes to this bug.